KDE 4.9 PyKDE API Reference

- KDE's Python API

# StatementPattern Class Reference

`from PyKDE4.soprano import *`

Namespace: Soprano.Inference

## Detailed Description

\class StatementPattern statementpattern.h Soprano/Inference/StatementPattern

Building block of an inference Rule.

A StatementPattern consists of three NodePattern that can either be variables or already bound ndoes.

StatementPattern is used to define preconditions and effects in Rule.

Author:
  Sebastian Trueg <trueg@kde.org>

## Methods

| __init__ (self)
| __init__ (self, Soprano.Inference.NodePattern a0, Soprano.Inference.NodePattern a1, Soprano.Inference.NodePattern a2)
| __init__ (self, Soprano.Inference.StatementPattern a0)
QString | createSparqlGraphPattern (self, Soprano.BindingSet bindings)
bool | isValid (self)
bool | match (self, Soprano.Statement a0)
Soprano.Inference.NodePattern | objectPattern (self)
Soprano.Inference.NodePattern | predicatePattern (self)
Soprano.Inference.NodePattern | subjectPattern (self)

## Method Documentation

__init__ | ( |  | self ) |

Creates an invalid pattern

__init__ | ( | self, |
|  | Soprano.Inference.NodePattern | a0,
|  | Soprano.Inference.NodePattern | a1,
|  | Soprano.Inference.NodePattern | a2
| ) |  |  |

__init__ | ( | self, |
|  | Soprano.Inference.StatementPattern | a0
| ) |  |  |

Creates an invalid pattern

QString createSparqlGraphPattern | ( | self, |
|  | Soprano.BindingSet | bindings
| ) |  |  |

bool isValid | ( |  | self ) |

Returns:
  true if the pattern is valid.

Since:
  2.3

bool match | ( | self, |
|  | Soprano.Statement | a0
| ) |  |  |

Soprano.Inference.NodePattern objectPattern | ( |  | self ) |

Soprano.Inference.NodePattern predicatePattern | ( |  | self ) |

Soprano.Inference.NodePattern subjectPattern | ( |  | self ) |